Subject: Re: bug#12082: 24.1.50; Wrong character showed by "C-h c"

From: Dani Moncayo <[email-masked]>
Date: Mon, 30 Jul 2012 16:22:02 +0200

> I've update my trunk branch (I have bzr revno 109274) and rebuilt Emacs.
>
> Now I observe these messages from "Emacs -Q":
> * C-h c M-ç => "M-‡ is undefined". (wrong, as before)
> * C-h c ESC ç => "M-g (translated from <escape> ç) is undefined".
> (wrong, should be "M-ç ...")
>
> And from "Emacs -Q -nw":
> * C-h c M-ç => "M-ç is undefined" (correct).
> * C-h c ESC ç => "M-g (translated from <escape> ç) is undefined"
> (wrong, as in the GUI session).

I've just built the current trunk (r109294) because Andreas committed
a change (r109291) that could affect to this bug.  And something has
changed indeed.  Now I see:

from "emacs -Q":
1. C-h c M-ç => "M-‡ is undefined". (wrong, as before)
2. C-h c ESC ç => "M-ç (translated from <escape> ç) is undefined".  (correct)

and from "emacs -Q -nw":
3. C-h c M-ç => "M-ç is undefined" (correct).
4. C-h c ESC ç => "M-ç (translated from <escape> ç) is undefined".  (correct)

So the only problem is now in the test #1.

HTH.

-- 
Dani Moncayo